Bug 1072095 - Liberation Sans renders most Latin combining characters incorrectly
Summary: Liberation Sans renders most Latin combining characters incorrectly
Keywords:
Status: ASSIGNED
Alias: None
Product: Fedora
Classification: Fedora
Component: liberation-fonts
Version: 30
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: vishal vijayraghavan
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On: 1084493
Blocks: 1626899
TreeView+ depends on / blocked
 
Reported: 2014-03-03 22:17 UTC by Ryan Kaldari
Modified: 2019-07-29 16:02 UTC (History)
10 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
: 1626899 (view as bug list)
Environment:
Last Closed: 2015-06-30 00:55:39 UTC


Attachments (Terms of Use)
Comparison between Helvetica, Arimo, and Liberation Sans (45.09 KB, image/png)
2014-03-03 22:17 UTC, Ryan Kaldari
no flags Details

Description Ryan Kaldari 2014-03-03 22:17:36 UTC
Created attachment 870161 [details]
Comparison between Helvetica, Arimo, and Liberation Sans

Description of problem:
Liberation Sans renders most Latin Unicode combining characters incorrectly. These are the diacritics and tie characters in the Unicode range U+0300 to U+FE2F (https://en.wikipedia.org/wiki/Combining_character). In particular:
1. The diacritics do not take into account the width or height of the paired character (which I imagine is a kerning issue)
2. Tie characters are always positioned incorrectly. They are supposed to visually tie two characters together, but in Liberation Sans they are simply centered under the 2nd character.

Version-Release number of selected component (if applicable):
version 2.00.1

How reproducible:

Steps to Reproduce:
1. Install Liberation Sans
2. Go to https://en.wikipedia.org/wiki/User:Kaldari/Font_test

Actual results:
Diacritics and ties are a mess.

Expected results:
See Helvetica example in attached file.

Additional info:
The best way to understand this bug is to look at the attached file (comparison.png).

Comment 1 Ryan Kaldari 2014-03-04 18:47:44 UTC
Hmm, this seems to only happen in Firefox. It renders fine in other browsers and in text editors.

Comment 2 Pravin Satpute 2014-03-05 09:36:02 UTC
I did quick analysis and looks like some important GPOS rules are missing. I will work on this next week.

Comment 3 Pravin Satpute 2014-03-12 10:43:24 UTC
I have fixed this issue and works fine at my end.  Can you test LiberationSans*.ttf at http://pravins.fedorapeople.org/liberation/ and update me.

Comment 4 Ryan Kaldari 2014-03-13 16:55:03 UTC
That looks great! I have a few suggestions for tweaking individual characters, but I'll file those as separate bugs. I think you can close this bug as FIXED.

Comment 5 Pravin Satpute 2014-03-14 05:38:12 UTC
Thanks for quick test. Sure, i will close this with next release.

Comment 6 Fedora End Of Life 2015-05-29 11:08:07 UTC
This message is a reminder that Fedora 20 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 20. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '20'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 20 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

Comment 7 Fedora End Of Life 2015-06-30 00:55:39 UTC
Fedora 20 changed to end-of-life (EOL) status on 2015-06-23. Fedora 20 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Comment 8 Fedora End Of Life 2016-11-24 11:08:04 UTC
This message is a reminder that Fedora 23 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 23. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '23'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 23 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

Comment 9 Pravin Satpute 2016-12-20 09:26:07 UTC
Unfortunately, i have not done upstream release yet. I will do it soon and then close this bug.

Comment 11 Fedora End Of Life 2017-11-16 19:37:42 UTC
This message is a reminder that Fedora 25 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 25. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '25'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version'
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not
able to fix it before Fedora 25 is end of life. If you would still like
to see this bug fixed and are able to reproduce it against a later version
of Fedora, you are encouraged  change the 'version' to a later Fedora
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's
lifetime, sometimes those efforts are overtaken by events. Often a
more recent Fedora release includes newer upstream software that fixes
bugs or makes them obsolete.

Comment 12 Ryan Kaldari 2017-11-16 21:32:44 UTC
@Pravin Satpute: Any update on releasing this upstream?

Comment 13 Fedora End Of Life 2018-02-20 15:24:13 UTC
This bug appears to have been reported against 'rawhide' during the Fedora 28 development cycle.
Changing version to '28'.

Comment 14 Jan Kurik 2018-08-14 11:09:56 UTC
This bug appears to have been reported against 'rawhide' during the Fedora 29 development cycle.
Changing version to '29'.

Comment 15 Ryan Kaldari 2019-07-29 16:02:19 UTC
This bug has been fixed and waiting for upstream release for 3 year now. Can anyone assist here?


Note You need to log in before you can comment on or make changes to this bug.